MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::PW86XFunctional Class Reference

Implements the Perdew-Wang 1986 (PW86) Exchange functional. More...

`#include <functional.h>`

Inheritance diagram for sc::PW86XFunctional:

List of all members.

## Public Member Functions

| PW86XFunctional (const Ref< KeyVal > &)
| PW86XFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int | need_density_gradient ()
void | point (const PointInputData &, PointOutputData &)

## Protected Member Functions

void | init_constants ()

## Protected Attributes

double | a_
double | b_
double | c_
double | m_

## Detailed Description

Implements the Perdew-Wang 1986 (PW86) Exchange functional.

J. P. Perdew and Y. Wang, Phys. Rev. B, 33(12), pp 8800-8802, 1986.

## Member Function Documentation

void sc::PW86XFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

The documentation for this class was generated from the following file:

- functional.h